<template>
  <ContentScrollView :paddingH="false">
    <nut-form :model-value="form" ref="formRef" :rules="rules">
      <nut-form-item label="期望岗位:" class="bole-form-item" prop="job">
        <ChooseInputWithPicker
          v-model="form.job"
          placeholder="请选择期望岗位"
          :value-enum="TaskStatusText"
        />
      </nut-form-item>
      <nut-form-item label="空闲时间:" class="bole-form-item" prop="job">
        <ChooseInputWithPicker
          v-model="form.job"
          placeholder="请选择空闲时间"
          :value-enum="TaskStatusText"
        />
      </nut-form-item>
      <nut-form-item label="求职状态:" class="bole-form-item" prop="job">
        <ChooseInputWithPicker
          v-model="form.job"
          placeholder="请选择求职状态"
          :value-enum="TaskStatusText"
        />
      </nut-form-item>
    </nut-form>
  </ContentScrollView>
  <PageFooter>
    <PageFooterBtn type="primary" @click="handleConfirm">保存</PageFooterBtn>
  </PageFooter>
</template>

<script setup lang="ts">
import { FormRules } from '@nutui/nutui-taro/dist/types/__VUE/form/types';
import { ChooseInputWithPicker } from '@12333/components';
import { TaskStatusText, TaskStatus } from '@/constants';
import { useUser } from '@/hooks';

defineOptions({
  name: 'InnerPage',
});

const { userDetail } = useUser();

const form = reactive({
  job: TaskStatus.All,
});

const rules = reactive<FormRules>({
  job: [{ required: true, message: '请选择' }],
});
const formRef = ref<any>(null);
function handleConfirm() {
  if (!formRef.value) return;
  formRef.value.validate().then(({ valid, errors }: any) => {
    if (valid) {
      confirm();
    }
  });
}

function confirm() {}
</script>

<style lang="scss">
@import '@/styles/common.scss';
</style>
